Search
K
Policy Transactions

Eligibility Check For Non-Financial Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

transactionTypestringrequired

Transaction Type

Allowed values:addressemailaddressphonebankaccountcommunicationpreference

Response

application/json

Non Financial Eligibility Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/bpm/v1/policies/{planCode}/{policyNumber}/{transactionType}/eligibilitycheck
 
application/json

Eligibility Check Bank Transaction

post

Path Parameters

planCodestringrequired
policyNumberstringrequired

Policy Number

Response

application/json

Bank Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/policy/v1/transactions/{planCode}/{policyNumber}/bankaccount/eligibilitycheck
 
application/json

Party Change request

Validate Business Rules for Payee/Payor/Owner/TPD/Beneficiary and Add new Payee/Payor/Owner/ThirdPartyDesignee/PrimaryBeneficiary/ContingentBeneficiary based on the request

post

Path Parameters

planCodestringrequired
policyNumberstringrequired
partyIdstringrequired
partyRolestringrequired

Party for which details are being entered. Possible values are - Owner, Payor, Payee, PrimaryBeneficiary, ContingentBeneficiary, ThirdPartyDesignee

Allowed values:PayeePayorOwnerThirdPartyDesigneePrimaryBeneficiaryContingentBeneficiary

Example:Owner

Body

application/json

PartyChangeRequest

correlationIdstring

The unique ID to track transaction request across all systems

Example:5df63b47-54fc-4905-a8ff-e1c5f12e667d

effectiveDatestring(date)required

Date the Party was added to the Policy

Match pattern:([0-9]{4})-([0-9]{2})-([0-9]{2})

customerIdstring

TBD

Example:0017b000010N4bCAAS

relationshipToInsuredstring

Option available for Owner, Payor, TPD and Beneficiary

Allowed values:TRUSTEETRUSTEEOFMINORTRUSTEEOFINCOMPETENTPOWEROFATTORNEYCONTROLLINGPERSONOFENTITYBROTHERCHILDDAUGHTERDOMESTICPARTNEREXECUTORSFATHERFIANCEGRANDCHILDLIFEPARTNERMOTHERSISTERSONSPOUSESTEPFATHERSTEPMOTHERSELFOTHER

partyobjectrequired
Show Child Parameters
caseIdstring

Zinnia Live Case ID

Example:CA0000007389

deleteRequestboolean

Flag for delete or update request. If flag==true then Delete Request else Update Request

Default:false

Response

application/json

Success

TransactionAcceptedResponse

correlationIdstring

Unique identifier which used by every system to trace the request

Example:3a2a3435-2089-4b81-9959-e0d569ccf4f0

caseIdstring

Zinnia Live Case ID

Example:CA0000369469

caseStatusstring

Zinnia Live Case Status

Example:IN_PROGRESS

pdfIdstring

Identifier for the generated or associated PDF document (e.g. OnBase document number). Returned on systematic program setup and update submit when available.

Example:DOC-10004567

post/policy/v1/transactions/{planCode}/{policyNumber}/parties/{partyId}/{partyRole}/validation

Body

{ "effectiveDate": "effectiveDate", "party": {} }
 
application/json

Eligibility Check Billing Feature Change

Evaluates whether the policy is eligible for a billing feature change transaction.

post

Path Parameters

planCodestringrequired

Plan Code

policyNumberstringrequired

Policy Number

Response

application/json

Billing Feature Change Eligibility Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/bpm/v1/policies/{planCode}/{policyNumber}/billingfeaturechange/eligibilitycheck
 
application/json

Validate Billing Feature Change

Validates the billing feature change request against business rules before submission.

post

Path Parameters

planCodestringrequired

Plan Code

policyNumberstringrequired

Policy Number

Body

application/json

BillingFeatureChangeRequest

Request body for billing feature change validation
(POST /bpm/v1/policies/{planCode}/{policyNumber}/billingfeaturechange/validation
and policy API alias).

planCodestring

Plan code (may duplicate path parameter)

policyNumberstring

Policy number (may duplicate path parameter)

caseIdstring

Zinnia Live Case ID

Example:CA0000007389

correlationIdstring

The unique ID to track transaction request across all systems

Example:e3bdb22b-790f-4357-ae60-42cdb0ff0d12

carrierIdstring

Carrier identifier

Example:FNWL

effectiveDatestring(date)required

Effective date for the billing feature change

Example:2026-07-24

transactionReasonstring

Reason for initiating the billing feature change transaction

Allowed values:AMOUNTFREQUENCYPAYMENTDUEDATE

Example:AMOUNT

policyFeaturesarray[object]required

Billing policy feature details for the change request

>= 1 items

Show Child Parameters
signaturesarray[object]

Signature details for billing feature change

Show Child Parameters
documentsarray[object]

Supporting document reference for billing feature change

Show Child Parameters
selfServeFlowboolean

Whether the request originated from a self-serve flow

Example:true

supportingDocumentAttachedboolean

Indicates whether supporting documents are attached

Example:true

Response

application/json

Billing Feature Change Validation Success Response

TransactionResponse

statusstring

Allowed values:successfailure

errorarray[object]
Show Child Parameters
quoteResponseobject
post/bpm/v1/policies/{planCode}/{policyNumber}/billingfeaturechange/validation

Body

{ "correlationId": "e3bdb22b-790f-4357-ae60-42cdb0ff0d12", "effectiveDate": "2026-07-24", "transactionReason": "AMOUNT", "policyFeatures": [ { "featureType": "BILLING", "paymentAmount": 1000, "approvalDate": "2026-07-24", "frequency": "DAILY" } ], "signatures": [ { "isSignedPresent": true, "signDate": "2026-06-26", "signDesignation": null, "signType": "OWNER", "signTypeForUI": "Owner" }, { "isSignedPresent": false, "signDate": null, "signDesignation": null, "signType": "JOINTOWNER", "signTypeForUI": "Joint Owner" } ], "documents": [ { "documentId": "DOC123456", "documentType": "NFO_FORM", "documentDate": "2026-06-26", "caseId": "CA0000007389", "policyNumber": "WL987654321", "planCode": "WL1001" } ], "selfServeFlow": true, "supportingDocumentAttached": true }
 
application/json